/*	 1993 Jon Wtte, Stockholm
 *
 *	This is unpublished proprietary source code, and may not be used,
 *	released, copied, stored in a retrieval system, modified or shown
 *	to anyone else without the copyright holders prior written
 *	permission.
 *
 *	Denna kllkod skyddas av upphovsrtt, och klassas som opublicerat
 *	hemligt material. Ingen anvndning, kopiering, avskrivning,
 *	vidarebefodring, ndring eller publicering av denna kllkod eller
 *	del hrav fr ske utan att skriftligt tillstnd frst erhllits frn
 *	upphovsrttsinnehavaren.
 */

/*
 * h+utils.h
 *
 * Headers for simple utilities
 */

#ifndef _H_h_utils
# define _H_h_utils

#if __cplusplus
extern "C" {
#endif

extern char * cstrcpy ( char * dst , char * src ) ;

extern void DisplayPictureTimeout ( PicHandle pict , short windowID , long timeOutTicks ,
	Point textWhere , short justification , unsigned char * text , short font , short size ,
	short transferMode ) ;

#define BlockClear(b) _BlockClear(&(b),sizeof(b))
extern void _BlockClear ( void * ptr , long size ) ;

extern short GetTempFSS ( const FSSpec * oldFile , FSSpec * tempFile ) ;

/* Make a 3D border of the region, within the region */
extern void SlateRgn ( RgnHandle rgn , RGBColor median ) ;

extern short PixelDepth ( GDHandle gd ) ;

extern pascal void FrameItem ( DialogPtr dp , short item ) ;

extern void ConcatPStrings ( unsigned char * dest , const unsigned char * from ) ;

extern void CopyPString ( const unsigned char * from , unsigned char * to ) ;

#if __cplusplus
} ;
#endif


#endif

